WordPress(4.1.2)アップグレードで動作がおかしくなる件

2015 年 4 月 24 日

こんにちは。

WordPressのアップグレード(4.1.2)で、動作がおかしくなる報告がいくつかございましたので、お知らせいたします。

WordPressの文字コードが変更されたという情報がございますが、セキュリティーアップデートでそれが反映されてしまったのかどうかは定かではありません。不具合の出るサイトはデータベースの文字コードに問題が有るようです。

phpMyAdminなどで、データベースをご覧ください。各テーブルの文字コードはutf8_general_ciが一般的です。これがもしujis_jaoanese_ciなどになっていると、新しいWordPressでは書き込みも読み込みもできなくなります。文字コードをutf8_general_ciに統一しましょう。テーブルだけではなく、テーブル内のカラムの文字コードもすべて変更する必要がございます。

データベースを編集する前に、必ずバックアップを取ってから行ってください。

なお、データベースが原因でない場合もあるかも知れません。冷静に対応しましょう。

カテゴリー: お知らせ, 技術資料
関連記事